# <tabstospaces>

Converts tabs to spaces.

The <tabstospaces> filter replaces tabs in a text file with spaces.

Filters are intended to be used as a element of a <filterchain>.

### Parameters

Attribute | Type | Description | Required
--- | --- | --- | ---
tablength | int | The number of spaces used when converting a tab. The default is "8". | False
if | bool | If true then the filter will be used; otherwise, skipped. The default is true. | False
unless | bool | Opposite of `if`. If false then the filter will be executed; otherwise, skipped. The default is false. | False

### Examples

- Replace all tabs with four spaces.

      <tabtospaces tablength="4" />

### Requirements

Assembly: NAnt.Core (0.90.3780.0)